## mednafen 0.9.38.5+dfsg

=== debian/changelog ===
mednafen (0.9.38.5+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:55:08 +0000

mednafen (0.9.38.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Jun 2015 21:49:51 +0200

=== debian/control ===
Source: mednafen
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libasound2-dev [linux-any],
               libgl1-mesa-dev | libgl-dev,
               libjack-dev,
               liblzo2-dev,
               libmpcdec-dev,
               libsamplerate0-dev,
               libsdl1.2-dev,
               libsndfile1-dev | libsndfile-dev,
               libtrio-dev (>= 1.16),
               libvorbisidec-dev,
               x11proto-core-dev,
               zlib1g-dev | libz-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.6
Homepage: http://mednafen.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-games/mednafen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mednafen.git

Package: mednafen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nes-emulator
Built-Using: ${bu:liblzo2}
Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine
 Mednafen is a command-line driven emulator for many different systems. It
 has full support for OpenGL and SDL graphics, network play, remappable input
 configuration, joystick and keyboard support, save states, game rewinding,
 GSF playback, and screenshots.
 .
 The systems supported by Mednafen are:
    * Atari Lynx
    * GameBoy
    * GameBoy Color
    * GameBoy Advance
    * NES
    * SNES
    * Virtual Boy
    * PC Engine (TurboGrafx 16)
    * PC-FX
    * SuperGrafx
    * NeoGeo Pocket, NeoGeo Pocket Color
    * WonderSwan
    * Sega Genesis / Mega Drive
    * Sony PlayStation
 .
 Hardware emulated by Mednafen includes:
    * NES gamepad, Zapper, PowerPad
    * Four-Score, Famicom multiplayer adapter
    * Arkanoid, HyperShot, Space Shadow, Mahjong controllers
    * Oeka Kids tablet, Quiz King buzzers, Family Trainer, Barcode World
    * Game Genie

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 http://qa.debian.org/watch/sf.php/mednafen/mednafen[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mednafen 0.9.38.7+dfsg

=== debian/changelog ===
mednafen (0.9.38.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop reproducible.patch, merged upstream.
  * Override spurious lintian message about a spelling error.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Oct 2015 19:35:23 +0200

mednafen (0.9.38.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to the fobby.net site.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Sep 2015 13:32:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mednafen
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

liblzo2_source := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' liblzo2-dev)


%:
	dh $@ --with autoreconf --parallel

override_dh_auto_build:
	# Update MiniLZO
	cp src/compress/lzoconf.h src/compress/lzoconf.h.orig
	cp src/compress/lzodefs.h src/compress/lzodefs.h.orig
	cp src/compress/minilzo.c src/compress/minilzo.c.orig
	cp src/compress/minilzo.h src/compress/minilzo.h.orig
	cp /usr/share/lzo/minilzo/*.[ch] src/compress

	# Move bundled source code for external packages out of the way
	mv src/mpcdec src/mpcdec.orig
	mv src/tremor src/tremor.orig
	mv src/trio src/trio.orig

	dh_auto_build

override_dh_auto_clean:
	# Restore MiniLZO
	[ ! -f src/compress/lzoconf.h.orig ] || mv src/compress/lzoconf.h.orig src/compress/lzoconf.h
	[ ! -f src/compress/lzodefs.h.orig ] || mv src/compress/lzodefs.h.orig src/compress/lzodefs.h
	[ ! -f src/compress/minilzo.c.orig ] || mv src/compress/minilzo.c.orig src/compress/minilzo.c
	[ ! -f src/compress/minilzo.h.orig ] || mv src/compress/minilzo.h.orig src/compress/minilzo.h

	# Restore bundled source code
	[ ! -d src/mpcdec.orig ] || mv src/mpcdec.orig src/mpcdec
	[ ! -d src/tremor.orig ] || mv src/tremor.orig src/tremor
	[ ! -d src/trio.orig ] || mv src/trio.orig src/trio

	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-psx

override_dh_gencontrol-arch:
	dh_gencontrol -a -- '-Vbu:liblzo2=$(liblzo2_source)'

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 http://mednafen.fobby.net/releases/ \
 files/mednafen[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mednafen 0.9.39.2+dfsg

=== debian/changelog ===
mednafen (0.9.39.2+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - drop use-system-mpcdec.patch and use-system-tremor.patch, and the
      supporting code in debian/rules — the upstream builds directly
      supports external mpcdec and tremor;
    - drop gcc-6.patch and spelling-fixes.patch, merged upstream;
    - update use-system-trio.patch;
    - this release adds Sega Saturn emulation (on amd64);
    - external Musepack support now works (closes: #834573).
  * Use the packaged trio.h instead of the version included here (closes:
    #834571).

 -- Stephen Kitt <skitt@debian.org>  Wed, 21 Sep 2016 13:04:07 +0200

mednafen (0.9.38.7+dfsg-3) unstable; urgency=medium

  * Disable PIE, it has a measurable performance impact on the more
    complex emulations (~5% frame-rate reduction on PS1 in particular).

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Jul 2016 21:25:43 +0200

mednafen (0.9.38.7+dfsg-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Disambiguate a call to abs() to allow building with GCC 6 (closes:
    #831205).
  * Fix spelling of "occured".
  * Allow building with multiple installed versions of liblzo2-dev.
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 20:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mednafen
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
@@ -14,19 +14,20 @@
                libsamplerate0-dev,
                libsdl1.2-dev,
                libsndfile1-dev | libsndfile-dev,
-               libtrio-dev (>= 1.16),
+               libtrio-dev,
                libvorbisidec-dev,
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednafen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednafen.git
 Homepage: http://mednafen.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/pkg-games/mednafen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mednafen.git
 
 Package: mednafen
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Provides: nes-emulator
 Built-Using: ${bu:liblzo2}
 Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine
@@ -49,6 +50,7 @@
     * NeoGeo Pocket, NeoGeo Pocket Color
     * WonderSwan
     * Sega Genesis / Mega Drive
+    * Sega Saturn
     * Sony PlayStation
  .
  Hardware emulated by Mednafen includes:

## mednafen 0.9.41+dfsg

=== debian/changelog ===
mednafen (0.9.41+dfsg-2) unstable; urgency=medium

  * Recommend mednaffe, thanks to Alex Henry for the suggestion (closes:
    #846147).

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Jan 2017 17:23:13 +0100

mednafen (0.9.41+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream URLs, Mednafen has moved to
    http://mednafen.github.io.

 -- Stephen Kitt <skitt@debian.org>  Mon, 23 Jan 2017 20:30:14 +0100

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,13 @@
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednafen.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednafen.git
-Homepage: http://mednafen.sourceforge.net
+Homepage: http://mednafen.github.io
 
 Package: mednafen
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: mednaffe (>= 0.8.4)
 Provides: nes-emulator
 Built-Using: ${bu:liblzo2}
 Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-liblzo2_source := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' liblzo2-dev)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+
+liblzo2_source := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})\n' liblzo2-dev | head -n 1)
 
 
 %:
@@ -19,9 +21,8 @@
 	cp /usr/share/lzo/minilzo/*.[ch] src/compress
 
 	# Move bundled source code for external packages out of the way
-	mv src/mpcdec src/mpcdec.orig
-	mv src/tremor src/tremor.orig
 	mv src/trio src/trio.orig
+	mv include/trio include/trio.orig
 
 	dh_auto_build
 
@@ -36,11 +37,12 @@
 	[ ! -d src/mpcdec.orig ] || mv src/mpcdec.orig src/mpcdec
 	[ ! -d src/tremor.orig ] || mv src/tremor.orig src/tremor
 	[ ! -d src/trio.orig ] || mv src/trio.orig src/trio
+	[ ! -d include/trio.orig ] || mv include/trio.orig include/trio
 
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/games --enable-psx
+	dh_auto_configure -- --bindir=/usr/games --enable-psx --with-external-mpcdec --with-external-tremor
 
 override_dh_gencontrol-arch:
 	dh_gencontrol -a -- '-Vbu:liblzo2=$(liblzo2_source)'

## mednafen 0.9.45.1+dfsg

=== debian/changelog ===
mednafen (0.9.45.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.0.0, no change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Jul 2017 23:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Section: games
 Priority: optional
 Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 10),
                libasound2-dev [linux-any],
                libgl1-mesa-dev | libgl-dev,
                libjack-dev,
@@ -19,7 +18,7 @@
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednafen.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednafen.git
 Homepage: http://mednafen.github.io

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_build:
 	# Update MiniLZO

## mednafen 0.9.46+dfsg

=== debian/changelog ===
mednafen (0.9.46+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete autotools-dev build-dependency.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Aug 2017 22:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 10),
                libasound2-dev [linux-any],
                libgl1-mesa-dev | libgl-dev,
                libjack-dev,

## mednafen 0.9.48%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,6 @@
 	cp src/compress/minilzo.h src/compress/minilzo.h.orig
 	cp /usr/share/lzo/minilzo/*.[ch] src/compress
 
-	# Move bundled source code for external packages out of the way
-	mv src/trio src/trio.orig
-	mv include/trio include/trio.orig
-
 	dh_auto_build
 
 override_dh_auto_clean:
@@ -33,16 +29,10 @@
 	[ ! -f src/compress/minilzo.c.orig ] || mv src/compress/minilzo.c.orig src/compress/minilzo.c
 	[ ! -f src/compress/minilzo.h.orig ] || mv src/compress/minilzo.h.orig src/compress/minilzo.h
 
-	# Restore bundled source code
-	[ ! -d src/mpcdec.orig ] || mv src/mpcdec.orig src/mpcdec
-	[ ! -d src/tremor.orig ] || mv src/tremor.orig src/tremor
-	[ ! -d src/trio.orig ] || mv src/trio.orig src/trio
-	[ ! -d include/trio.orig ] || mv include/trio.orig include/trio
-
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/games --enable-psx --with-external-mpcdec --with-external-tremor
+	dh_auto_configure -- --bindir=/usr/games --enable-psx --with-external-mpcdec --with-external-tremor --with-external-trio
 
 override_dh_gencontrol-arch:
 	dh_gencontrol -a -- '-Vbu:liblzo2=$(liblzo2_source)'

## mednafen 0.9.48+dfsg

=== debian/changelog ===
mednafen (0.9.48+dfsg-1) unstable; urgency=medium

  * New upstream release, capable of building with an external libtrio
    without a patch.

 -- Stephen Kitt <skitt@debian.org>  Thu, 21 Sep 2017 23:01:20 +0200

mednafen (0.9.47+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.1.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Aug 2017 10:39:55 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednafen.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednafen.git
 Homepage: http://mednafen.github.io

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 http://mednafen.github.io/releases/ \
 files/mednafen[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mednafen 1.21.3+dfsg

=== debian/changelog ===
mednafen (1.21.3+dfsg-1) unstable; urgency=medium

  * New upstream release, capable of building with an external liblzo2,
    and based on SDL2.
  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Add false positive for “acount” spelling.
  * Update watch file.
  * Standards-Version 4.1.4, no further change required.
  * Override false positives for GPL-2 paragraphs in debian/copyright (see
    https://bugs.debian.org/801182 for details).

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 May 2018 23:49:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libasound2-dev [linux-any],
                libgl1-mesa-dev | libgl-dev,
                libjack-dev,
-               liblzo2-dev,
+               liblzo2-dev (>= 2.10),
                libmpcdec-dev,
                libsamplerate0-dev,
-               libsdl1.2-dev,
+               libsdl2-dev,
                libsndfile1-dev | libsndfile-dev,
                libtrio-dev,
                libvorbisidec-dev,
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mednafen.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/mednafen.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/games-team/mednafen
+Vcs-Git: https://salsa.debian.org/games-team/mednafen.git
 Homepage: http://mednafen.github.io
 
 Package: mednafen
@@ -28,7 +28,6 @@
          ${shlibs:Depends}
 Recommends: mednaffe (>= 0.8.4)
 Provides: nes-emulator
-Built-Using: ${bu:liblzo2}
 Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine
  Mednafen is a command-line driven emulator for many different systems. It
  has full support for OpenGL and SDL graphics, network play, remappable input

## mednafen 1.22.1+dfsg

=== debian/changelog ===
mednafen (1.22.1+dfsg-2~deb10u1) buster; urgency=medium

  * Upload to Buster.

 -- Stephen Kitt <skitt@debian.org>  Wed, 19 Jun 2019 08:53:43 +0200

mednafen (1.22.1+dfsg-2) unstable; urgency=medium

  * Apply upstream patch to fix unchecked memory accesses in the Lynx
    emulator. Closes: #930463.
  * Apply upstream patch to fix a regression in the PlayStation emulator,
    which rendered games such as SimCity 2000 and Rise 2 unplayable.
    Closes: #930464.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Jun 2019 21:06:02 +0200

mednafen (1.22.1+dfsg-1) unstable; urgency=medium

  * New upstream release, with Apple II/II+ emulation.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Feb 2019 21:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednafen
 Vcs-Git: https://salsa.debian.org/games-team/mednafen.git
 Homepage: http://mednafen.github.io
+Rules-Requires-Root: no
 
 Package: mednafen
 Architecture: any
@@ -35,6 +36,7 @@
  GSF playback, and screenshots.
  .
  The systems supported by Mednafen are:
+    * Apple II/II+
     * Atari Lynx
     * GameBoy
     * GameBoy Color

## mednafen 1.22.2%2Bdfsg

=== debian/changelog ===
mednafen (1.22.2+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:33 +0100

mednafen (1.22.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Jul 2019 17:51:48 +0200

## mednafen 1.22.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libasound2-dev [linux-any],
                libgl1-mesa-dev | libgl-dev,
                libjack-dev,
@@ -17,7 +17,7 @@
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednafen
 Vcs-Git: https://salsa.debian.org/games-team/mednafen.git
 Homepage: http://mednafen.github.io

## mednafen 1.24.1+dfsg

=== debian/changelog ===
mednafen (1.24.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Mar 2020 20:07:20 +0100

## mednafen 1.24.3+dfsg

=== debian/changelog ===
mednafen (1.24.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 May 2020 20:03:27 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednafen
 Vcs-Git: https://salsa.debian.org/games-team/mednafen.git
 Homepage: http://mednafen.github.io

## mednafen 1.26.1+dfsg

=== debian/changelog ===
mednafen (1.26.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix some ordering issues in debian/copyright.
  * Remove obsolete Lintian overrides.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Wed, 11 Nov 2020 21:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libgl1-mesa-dev | libgl-dev,
                libjack-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-psx --with-external-mpcdec --with-external-tremor --with-external-trio --with-external-lzo

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 https://mednafen.github.io/releases/ \
 files/mednafen[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## mednafen 1.27.1+dfsg

=== debian/changelog ===
mednafen (1.27.1+dfsg-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 22:39:10 +0200

mednafen (1.27.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to version 4.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 Jun 2021 15:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
+               libflac-dev,
                libgl1-mesa-dev | libgl-dev,
                libjack-dev,
                liblzo2-dev (>= 2.10),
                libmpcdec-dev,
                libsamplerate0-dev,
                libsdl2-dev,
-               libsndfile1-dev | libsndfile-dev,
                libtrio-dev,
                libvorbisidec-dev,
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednafen
 Vcs-Git: https://salsa.debian.org/games-team/mednafen.git
 Homepage: http://mednafen.github.io

## mednafen 1.29.0%2Bdfsg

=== src/mpcdec/CMakeLists.txt ===
SET(mpcdec_VERSION_MAJOR 7)
SET(mpcdec_VERSION_MINOR 0)
SET(mpcdec_VERSION_PATCH 1)

set(mpcdec_VERSION ${mpcdec_VERSION_MAJOR}.${mpcdec_VERSION_MINOR}.${mpcdec_VERSION_PATCH})

include_directories(${libmpc_SOURCE_DIR}/include)
install(FILES
	${libmpc_SOURCE_DIR}/include/mpc/mpcdec.h
	${libmpc_SOURCE_DIR}/include/mpc/reader.h
	${libmpc_SOURCE_DIR}/include/mpc/streaminfo.h
	${libmpc_SOURCE_DIR}/include/mpc/mpc_types.h
	DESTINATION include/mpc COMPONENT headers)

if(SHARED)
  add_library(mpcdec SHARED huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
  set_target_properties(mpcdec PROPERTIES VERSION ${mpcdec_VERSION} SOVERSION ${mpcdec_VERSION_MAJOR})
  install(TARGETS mpcdec LIBRARY DESTINATION "lib" COMPONENT libraries)
else(SHARED)
  add_library(mpcdec_static STATIC huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
  install(TARGETS mpcdec_static ARCHIVE DESTINATION "lib/static" COMPONENT libraries)
endif(SHARED)

## mednafen 1.29.0+dfsg

=== debian/changelog ===
mednafen (1.29.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 21 Jan 2022 12:59:42 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libsdl2-dev,
                libtrio-dev,
                libvorbisidec-dev,
+               libzstd-dev,
                x11proto-core-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-psx --with-external-mpcdec --with-external-tremor --with-external-trio --with-external-lzo --with-external-libzstd

## mednafen 1.32.1+dfsg

=== debian/changelog ===
mednafen (1.32.1+dfsg-2) unstable; urgency=medium

  * The project expects 64-bit file offsets on 32-bit platforms,
    explicitly enable them. Closes: #1091558.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Jan 2025 10:47:59 +0100

mednafen (1.32.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2, 5.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on liblzo2-dev (>= 2.10).
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
    + mednafen: Drop versioned constraint on mednaffe (>= 0.8.4) in Recommends.

  [ Stephen Kitt ]
  * New upstream release.
  * Drop the obsolete libgl1-mesa-dev build-dependency, relying on libgl-
    dev only.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Apr 2024 18:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,29 @@
 Build-Depends: debhelper-compat (= 13),
                libasound2-dev [linux-any],
                libflac-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libjack-dev,
-               liblzo2-dev (>= 2.10),
+               liblzo2-dev,
                libmpcdec-dev,
                libsamplerate0-dev,
                libsdl2-dev,
                libtrio-dev,
                libvorbisidec-dev,
                libzstd-dev,
-               x11proto-core-dev,
+               x11proto-dev,
                zlib1g-dev | libz-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/games-team/mednafen
 Vcs-Git: https://salsa.debian.org/games-team/mednafen.git
-Homepage: http://mednafen.github.io
+Homepage: https://mednafen.github.io
 Rules-Requires-Root: no
 
 Package: mednafen
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: mednaffe (>= 0.8.4)
+Recommends: mednaffe
 Provides: nes-emulator
 Description: multi-platform emulator, including NES, GB/A, Lynx, PC Engine
  Mednafen is a command-line driven emulator for many different systems. It

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie abi=+lfs
 
 
 %:
